import { ApexTestResultData, CoverageReporterOptions, ApexCodeCoverageAggregate } from '@salesforce/apex-node';
import type { Successes, Failures, CodeCoverage } from '@salesforce/source-deploy-retrieve';
export declare const mapTestResults: <T extends Failures | Successes>(testResults: T[]) => ApexTestResultData[];
export declare const generateCoveredLines: (cov: CodeCoverage) => [number[], number[]];
export declare const getCoverageFormattersOptions: (formatters?: string[]) => CoverageReporterOptions;
export declare const transformCoverageToApexCoverage: (mdCoverage: CodeCoverage[]) => ApexCodeCoverageAggregate;
export declare const coverageOutput: (cov: CodeCoverage) => Pick<CodeCoverage, "name"> & {
    coveragePercent: string;
    linesNotCovered: string;
};
export declare const getCoveragePct: (cov: CodeCoverage) => number;
/** returns the number of total line for which coverage should apply, and the total uncovered line  */
export declare const getCoverageNumbers: (cov: CodeCoverage) => [lineCount: number, uncoveredLineCount: number];
