import { MetadataApiDeploy, MetadataApiDeployStatus } from '@salesforce/source-deploy-retrieve';
import { SourceMemberPollingEvent } from '@salesforce/source-tracking';
type Options = {
    title: string;
    jsonEnabled: boolean;
};
type Data = {
    mdapiDeploy: MetadataApiDeployStatus;
    sourceMemberPolling: SourceMemberPollingEvent;
    status: string;
    message: string;
    username: string;
    id: string;
    deploySize: number;
    deployFileCount: number;
};
export declare class DeployStages {
    private mso;
    constructor({ title, jsonEnabled }: Options);
    start({ username, deploy }: {
        username?: string | undefined;
        deploy: MetadataApiDeploy;
    }, initialData?: Partial<Data>): void;
    update(data: Partial<Data>): void;
    stop(): void;
    error(): void;
    done(data?: Partial<Data>): void;
}
export {};
